### Method

# GUPnP ServiceAction get_message

since: 0.14.0

#### Declaration [src]

    SoupServerMessage*
    gupnp_service_action_get_message (
      GUPnPServiceAction* action
    )

#### Description [src]

Get the `SoupMessage` associated with `action`. Mainly intended for applications to be able to read HTTP headers received from clients.

Available since: 0.14.0

#### Return value

Type: `SoupServerMessage`

`SoupServerMessage` associated with `action`. Unref after using it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.